[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please give back ruby-redis-rails on all



On വ്യാഴം 24 ആഗസ്റ്റ് 2017 02:33 വൈകു, James Cowgill wrote:
> Hi,
> 
> On 24/08/17 07:29, Pirate Praveen wrote:
>> Hello,
>>
>> The last build on experimental failed (I guess because some dependency
>> version changes). I have tested it to be working in a clean chroot.
>>
>> gb ruby-redis-rails_5.0.2-1 . all . experimental
> 
> I can reproduce these build failures for both ruby-redis-rails and
> ruby-grape repeatably on my development machine.

Did you use an updated chroot? Can you share your build log?

As per the failed build log,
https://buildd.debian.org/status/fetch.php?pkg=ruby-redis-rails&arch=all&ver=5.0.2-1&stamp=1500605275&raw=0

Unable to activate redis-rack-1.5.0, because redis-store-1.3.0 conflicts
with redis-store (~> 1.1.0) (Gem::ConflictError)

but ruby-redis-rack is 2.0.2 in experimental.

Attaching my successful build log.

> Thanks,
> James
> 

sbuild (Debian sbuild) 0.73.0 (23 Dec 2016) on nishumbha

+==============================================================================+
| ruby-redis-rails 5.0.2-1 (amd64)             Thu, 24 Aug 2017 12:40:54 +0000 |
+==============================================================================+

Package: ruby-redis-rails
Version: 5.0.2-1
Source Version: 5.0.2-1
Distribution: experimental
Machine Architecture: amd64
Host Architecture: amd64
Build Architecture: amd64
Build Type: binary

I: NOTICE: Log filtering will replace 'var/run/schroot/mount/experimental-amd64-sbuild-2c79f6de-3089-45da-abb2-bf3e8bfe3fbe' with '<<CHROOT>>'

+------------------------------------------------------------------------------+
| Update chroot                                                                |
+------------------------------------------------------------------------------+

Hit:1 http://deb.debian.org/debian unstable InRelease
Hit:2 http://deb.debian.org/debian experimental InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages were automatically installed and are no longer required:
  ca-certificates libperl5.24 libssl1.1 openssl perl-modules-5.24
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

+------------------------------------------------------------------------------+
| Fetch source files                                                           |
+------------------------------------------------------------------------------+


Local sources
-------------

/home/pravi/forge/debian/git/pkg-ruby-extras/ruby-redis-rails_5.0.2-1.dsc exists in /home/pravi/forge/debian/git/pkg-ruby-extras; copying to chroot
I: NOTICE: Log filtering will replace 'build/ruby-redis-rails-eyhBC2/ruby-redis-rails-5.0.2' with '<<PKGBUILDDIR>>'
I: NOTICE: Log filtering will replace 'build/ruby-redis-rails-eyhBC2' with '<<BUILDDIR>>'

+------------------------------------------------------------------------------+
| Install build-essential                                                      |
+------------------------------------------------------------------------------+


Setup apt archive
-----------------

Merged Build-Depends: build-essential, fakeroot
Filtered Build-Depends: build-essential, fakeroot
dpkg-deb: building package 'sbuild-build-depends-core-dummy' in '/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive/sbuild-build-depends-core-dummy.deb'.
dpkg-scanpackages: warning: Packages in archive but missing from override file:
dpkg-scanpackages: warning:   sbuild-build-depends-core-dummy
dpkg-scanpackages: info: Wrote 1 entries to output Packages file.
Ign:1 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ InRelease
Get:2 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Release [957 B]
Ign:3 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Release.gpg
Get:4 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Sources [349 B]
Get:5 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Packages [433 B]
Fetched 1739 B in 0s (154 kB/s)
Reading package lists...
Reading package lists...

Install core build dependencies (apt-based resolver)
----------------------------------------------------

Installing build dependencies
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  ca-certificates libperl5.24 libssl1.1 openssl perl-modules-5.24
Use 'apt autoremove' to remove them.
The following NEW packages will be installed:
  sbuild-build-depends-core-dummy
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 782 B of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ sbuild-build-depends-core-dummy 0.invalid.0 [782 B]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 782 B in 0s (0 B/s)
Selecting previously unselected package sbuild-build-depends-core-dummy.
(Reading database ... 16476 files and directories currently installed.)
Preparing to unpack .../sbuild-build-depends-core-dummy_0.invalid.0_amd64.deb ...
Unpacking sbuild-build-depends-core-dummy (0.invalid.0) ...
Setting up sbuild-build-depends-core-dummy (0.invalid.0) ...

+------------------------------------------------------------------------------+
| Check architectures                                                          |
+------------------------------------------------------------------------------+

Arch check ok (amd64 included in all)

+------------------------------------------------------------------------------+
| Install package build dependencies                                           |
+------------------------------------------------------------------------------+


Setup apt archive
-----------------

Merged Build-Depends: debhelper (>= 9~), gem2deb, ruby-mocha, ruby-redis-actionpack (>= 5~), ruby-redis-activesupport (>= 5~), ruby-redis-store (>= 1.2~)
Filtered Build-Depends: debhelper (>= 9~), gem2deb, ruby-mocha, ruby-redis-actionpack (>= 5~), ruby-redis-activesupport (>= 5~), ruby-redis-store (>= 1.2~)
dpkg-deb: building package 'sbuild-build-depends-ruby-redis-rails-dummy' in '/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive/sbuild-build-depends-ruby-redis-rails-dummy.deb'.
dpkg-scanpackages: warning: Packages in archive but missing from override file:
dpkg-scanpackages: warning:   sbuild-build-depends-core-dummy sbuild-build-depends-ruby-redis-rails-dummy
dpkg-scanpackages: info: Wrote 2 entries to output Packages file.
Ign:1 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ InRelease
Get:2 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Release [963 B]
Ign:3 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Release.gpg
Get:4 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Sources [544 B]
Get:5 copy:/<<BUILDDIR>>/resolver-nNu1Dj/apt_archive ./ Packages [625 B]
Fetched 2132 B in 0s (0 B/s)
Reading package lists...
Reading package lists...

Install ruby-redis-rails build dependencies (apt-based resolver)
----------------------------------------------------------------

Installing build dependencies
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  libperl5.24 perl-modules-5.24
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  autoconf automake autopoint autotools-dev bsdmainutils debhelper devscripts
  dh-autoreconf dh-python dh-strip-nondeterminism file gem2deb
  gem2deb-test-runner gettext gettext-base groff-base intltool-debian
  libarchive-zip-perl libbsd0 libcroco3 libexpat1 libfile-homedir-perl
  libfile-stripnondeterminism-perl libfile-which-perl libglib2.0-0 libgmp-dev
  libgmpxx4ldbl libicu57 libjemalloc1 libmagic-mgc libmagic1 libmpdec2
  libpipeline1 libpython3-stdlib libpython3.5-minimal libpython3.5-stdlib
  libreadline7 libruby2.3 libsigsegv2 libsqlite3-0 libssl1.0.2
  libtimedate-perl libtool libxml2 libxslt1.1 libyaml-0-2 m4 man-db
  mime-support po-debconf python3 python3-minimal python3.5 python3.5-minimal
  rake readline-common redis-server redis-tools ruby ruby-actionpack
  ruby-actionview ruby-activesupport ruby-all-dev ruby-atomic ruby-blankslate
  ruby-builder ruby-did-you-mean ruby-erubis ruby-i18n ruby-json ruby-loofah
  ruby-metaclass ruby-minitest ruby-mocha ruby-net-telnet ruby-nokogiri
  ruby-pkg-config ruby-power-assert ruby-rack ruby-rack-test
  ruby-rails-deprecated-sanitizer ruby-rails-dom-testing
  ruby-rails-html-sanitizer ruby-redis ruby-redis-actionpack
  ruby-redis-activesupport ruby-redis-rack ruby-redis-store ruby-setup
  ruby-test-unit ruby-thread-safe ruby-tzinfo ruby2.3 ruby2.3-dev
  rubygems-integration
Suggested packages:
  autoconf-archive gnu-standards autoconf-doc wamerican | wordlist whois
  vacation dh-make adequate autopkgtest bls-standalone bsd-mailx | mailx
  check-all-the-things cvs-buildpackage devscripts-el diffoscope disorderfs
  dose-extra duck faketime gnuplot how-can-i-help libauthen-sasl-perl
  libfile-desktopentry-perl libnet-smtps-perl libterm-size-perl
  libyaml-syck-perl mozilla-devscripts mutt piuparts quilt ratt reprotest
  ssh-client svn-buildpackage w3m gettext-doc libasprintf-dev libgettextpo-dev
  groff gmp-doc libgmp10-doc libmpfr-dev libtool-doc gfortran
  | fortran95-compiler gcj-jdk m4-doc less www-browser libmail-box-perl
  python3-doc python3-tk python3-venv python3.5-venv python3.5-doc
  binfmt-support readline-doc ri ruby-dev ruby-builder-doc ruby-mocha-doc
  bundler
Recommended packages:
  at dctrl-tools dput | dupload gnupg | gnupg2 libdistro-info-perl
  libencode-locale-perl libgit-wrapper-perl liblist-compare-perl liburi-perl
  libwww-perl licensecheck lintian patchutils python3-debian python3-magic
  python3-unidiff strace unzip wdiff wget | curl debian-keyring equivs
  liblwp-protocol-https-perl libsoap-lite-perl apt-file curl | wget | lynx-cur
  libarchive-cpio-perl libglib2.0-data shared-mime-info xdg-user-dirs
  libltdl-dev xml-core libmail-sendmail-perl zip fonts-lato libjs-jquery
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev bsdmainutils debhelper devscripts
  dh-autoreconf dh-python dh-strip-nondeterminism file gem2deb
  gem2deb-test-runner gettext gettext-base groff-base intltool-debian
  libarchive-zip-perl libbsd0 libcroco3 libexpat1 libfile-homedir-perl
  libfile-stripnondeterminism-perl libfile-which-perl libglib2.0-0 libgmp-dev
  libgmpxx4ldbl libicu57 libjemalloc1 libmagic-mgc libmagic1 libmpdec2
  libpipeline1 libpython3-stdlib libpython3.5-minimal libpython3.5-stdlib
  libreadline7 libruby2.3 libsigsegv2 libsqlite3-0 libssl1.0.2
  libtimedate-perl libtool libxml2 libxslt1.1 libyaml-0-2 m4 man-db
  mime-support po-debconf python3 python3-minimal python3.5 python3.5-minimal
  rake readline-common redis-server redis-tools ruby ruby-actionpack
  ruby-actionview ruby-activesupport ruby-all-dev ruby-atomic ruby-blankslate
  ruby-builder ruby-did-you-mean ruby-erubis ruby-i18n ruby-json ruby-loofah
  ruby-metaclass ruby-minitest ruby-mocha ruby-net-telnet ruby-nokogiri
  ruby-pkg-config ruby-power-assert ruby-rack ruby-rack-test
  ruby-rails-deprecated-sanitizer ruby-rails-dom-testing
  ruby-rails-html-sanitizer ruby-redis ruby-redis-actionpack
  ruby-redis-activesupport ruby-redis-rack ruby-redis-store ruby-setup
  ruby-test-unit ruby-thread-safe ruby-tzinfo ruby2.3 ruby2.3-dev
  rubygems-integration sbuild-build-depends-ruby-redis-rails-dummy
debconf: delaying package configuration, since apt-utils is not installed
0 upgraded, 96 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/35.4 MB of archives.
After this operation, 132 MB of additional disk space will be used.
Selecting previously unselected package groff-base.
(Reading database ... 16476 files and directories currently installed.)
Preparing to unpack .../00-groff-base_1.22.3-9_amd64.deb ...
Unpacking groff-base (1.22.3-9) ...
Selecting previously unselected package libbsd0:amd64.
Preparing to unpack .../01-libbsd0_0.8.6-1_amd64.deb ...
Unpacking libbsd0:amd64 (0.8.6-1) ...
Selecting previously unselected package bsdmainutils.
Preparing to unpack .../02-bsdmainutils_9.0.12+nmu1_amd64.deb ...
Unpacking bsdmainutils (9.0.12+nmu1) ...
Selecting previously unselected package libpipeline1:amd64.
Preparing to unpack .../03-libpipeline1_1.4.2-1_amd64.deb ...
Unpacking libpipeline1:amd64 (1.4.2-1) ...
Selecting previously unselected package man-db.
Preparing to unpack .../04-man-db_2.7.6.1-2_amd64.deb ...
Unpacking man-db (2.7.6.1-2) ...
Selecting previously unselected package libpython3.5-minimal:amd64.
Preparing to unpack .../05-libpython3.5-minimal_3.5.4-2_amd64.deb ...
Unpacking libpython3.5-minimal:amd64 (3.5.4-2) ...
Selecting previously unselected package libexpat1:amd64.
Preparing to unpack .../06-libexpat1_2.2.3-1_amd64.deb ...
Unpacking libexpat1:amd64 (2.2.3-1) ...
Selecting previously unselected package python3.5-minimal.
Preparing to unpack .../07-python3.5-minimal_3.5.4-2_amd64.deb ...
Unpacking python3.5-minimal (3.5.4-2) ...
Selecting previously unselected package python3-minimal.
Preparing to unpack .../08-python3-minimal_3.5.3-3_amd64.deb ...
Unpacking python3-minimal (3.5.3-3) ...
Selecting previously unselected package mime-support.
Preparing to unpack .../09-mime-support_3.60_all.deb ...
Unpacking mime-support (3.60) ...
Selecting previously unselected package libmpdec2:amd64.
Preparing to unpack .../10-libmpdec2_2.4.2-1_amd64.deb ...
Unpacking libmpdec2:amd64 (2.4.2-1) ...
Selecting previously unselected package readline-common.
Preparing to unpack .../11-readline-common_7.0-3_all.deb ...
Unpacking readline-common (7.0-3) ...
Selecting previously unselected package libreadline7:amd64.
Preparing to unpack .../12-libreadline7_7.0-3_amd64.deb ...
Unpacking libreadline7:amd64 (7.0-3) ...
Selecting previously unselected package libsqlite3-0:amd64.
Preparing to unpack .../13-libsqlite3-0_3.20.0-1_amd64.deb ...
Unpacking libsqlite3-0:amd64 (3.20.0-1) ...
Selecting previously unselected package libpython3.5-stdlib:amd64.
Preparing to unpack .../14-libpython3.5-stdlib_3.5.4-2_amd64.deb ...
Unpacking libpython3.5-stdlib:amd64 (3.5.4-2) ...
Selecting previously unselected package python3.5.
Preparing to unpack .../15-python3.5_3.5.4-2_amd64.deb ...
Unpacking python3.5 (3.5.4-2) ...
Selecting previously unselected package libpython3-stdlib:amd64.
Preparing to unpack .../16-libpython3-stdlib_3.5.3-3_amd64.deb ...
Unpacking libpython3-stdlib:amd64 (3.5.3-3) ...
Selecting previously unselected package dh-python.
Preparing to unpack .../17-dh-python_2.20170125_all.deb ...
Unpacking dh-python (2.20170125) ...
Setting up libpython3.5-minimal:amd64 (3.5.4-2) ...
Setting up libexpat1:amd64 (2.2.3-1) ...
Setting up python3.5-minimal (3.5.4-2) ...
Setting up python3-minimal (3.5.3-3) ...
Selecting previously unselected package python3.
(Reading database ... 18027 files and directories currently installed.)
Preparing to unpack .../00-python3_3.5.3-3_amd64.deb ...
Unpacking python3 (3.5.3-3) ...
Selecting previously unselected package libssl1.0.2:amd64.
Preparing to unpack .../01-libssl1.0.2_1.0.2l-2_amd64.deb ...
Unpacking libssl1.0.2:amd64 (1.0.2l-2) ...
Selecting previously unselected package libmagic-mgc.
Preparing to unpack .../02-libmagic-mgc_1%3a5.31-1_amd64.deb ...
Unpacking libmagic-mgc (1:5.31-1) ...
Selecting previously unselected package libmagic1:amd64.
Preparing to unpack .../03-libmagic1_1%3a5.31-1_amd64.deb ...
Unpacking libmagic1:amd64 (1:5.31-1) ...
Selecting previously unselected package file.
Preparing to unpack .../04-file_1%3a5.31-1_amd64.deb ...
Unpacking file (1:5.31-1) ...
Selecting previously unselected package gettext-base.
Preparing to unpack .../05-gettext-base_0.19.8.1-4_amd64.deb ...
Unpacking gettext-base (0.19.8.1-4) ...
Selecting previously unselected package libicu57:amd64.
Preparing to unpack .../06-libicu57_57.1-6_amd64.deb ...
Unpacking libicu57:amd64 (57.1-6) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../07-libxml2_2.9.4+dfsg1-3.1_amd64.deb ...
Unpacking libxml2:amd64 (2.9.4+dfsg1-3.1) ...
Selecting previously unselected package libsigsegv2:amd64.
Preparing to unpack .../08-libsigsegv2_2.11-1_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.11-1) ...
Selecting previously unselected package m4.
Preparing to unpack .../09-m4_1.4.18-1_amd64.deb ...
Unpacking m4 (1.4.18-1) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../10-autoconf_2.69-11_all.deb ...
Unpacking autoconf (2.69-11) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../11-autotools-dev_20161112.1_all.deb ...
Unpacking autotools-dev (20161112.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../12-automake_1%3a1.15.1-2.1_all.deb ...
Unpacking automake (1:1.15.1-2.1) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../13-autopoint_0.19.8.1-4_all.deb ...
Unpacking autopoint (0.19.8.1-4) ...
Selecting previously unselected package libtool.
Preparing to unpack .../14-libtool_2.4.6-2_all.deb ...
Unpacking libtool (2.4.6-2) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../15-dh-autoreconf_14_all.deb ...
Unpacking dh-autoreconf (14) ...
Selecting previously unselected package libarchive-zip-perl.
Preparing to unpack .../16-libarchive-zip-perl_1.59-1_all.deb ...
Unpacking libarchive-zip-perl (1.59-1) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../17-libfile-stripnondeterminism-perl_0.038-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (0.038-1) ...
Selecting previously unselected package libtimedate-perl.
Preparing to unpack .../18-libtimedate-perl_2.3000-2_all.deb ...
Unpacking libtimedate-perl (2.3000-2) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../19-dh-strip-nondeterminism_0.038-1_all.deb ...
Unpacking dh-strip-nondeterminism (0.038-1) ...
Selecting previously unselected package libglib2.0-0:amd64.
Preparing to unpack .../20-libglib2.0-0_2.53.6-1_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.53.6-1) ...
Selecting previously unselected package libcroco3:amd64.
Preparing to unpack .../21-libcroco3_0.6.12-1_amd64.deb ...
Unpacking libcroco3:amd64 (0.6.12-1) ...
Selecting previously unselected package gettext.
Preparing to unpack .../22-gettext_0.19.8.1-4_amd64.deb ...
Unpacking gettext (0.19.8.1-4) ...
Selecting previously unselected package intltool-debian.
Preparing to unpack .../23-intltool-debian_0.35.0+20060710.4_all.deb ...
Unpacking intltool-debian (0.35.0+20060710.4) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../24-po-debconf_1.0.20_all.deb ...
Unpacking po-debconf (1.0.20) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../25-debhelper_10.7.2+exp.buildlabels_all.deb ...
Unpacking debhelper (10.7.2+exp.buildlabels) ...
Selecting previously unselected package libfile-which-perl.
Preparing to unpack .../26-libfile-which-perl_1.21-1_all.deb ...
Unpacking libfile-which-perl (1.21-1) ...
Selecting previously unselected package libfile-homedir-perl.
Preparing to unpack .../27-libfile-homedir-perl_1.00-1_all.deb ...
Unpacking libfile-homedir-perl (1.00-1) ...
Selecting previously unselected package devscripts.
Preparing to unpack .../28-devscripts_2.17.9_amd64.deb ...
Unpacking devscripts (2.17.9) ...
Selecting previously unselected package rubygems-integration.
Preparing to unpack .../29-rubygems-integration_1.11_all.deb ...
Unpacking rubygems-integration (1.11) ...
Selecting previously unselected package ruby-did-you-mean.
Preparing to unpack .../30-ruby-did-you-mean_1.0.0-2_all.deb ...
Unpacking ruby-did-you-mean (1.0.0-2) ...
Selecting previously unselected package ruby-minitest.
Preparing to unpack .../31-ruby-minitest_5.10.3-1_all.deb ...
Unpacking ruby-minitest (5.10.3-1) ...
Selecting previously unselected package ruby-net-telnet.
Preparing to unpack .../32-ruby-net-telnet_0.1.1-2_all.deb ...
Unpacking ruby-net-telnet (0.1.1-2) ...
Selecting previously unselected package ruby-power-assert.
Preparing to unpack .../33-ruby-power-assert_0.3.0-1_all.deb ...
Unpacking ruby-power-assert (0.3.0-1) ...
Selecting previously unselected package ruby-test-unit.
Preparing to unpack .../34-ruby-test-unit_3.2.5-1_all.deb ...
Unpacking ruby-test-unit (3.2.5-1) ...
Selecting previously unselected package libyaml-0-2:amd64.
Preparing to unpack .../35-libyaml-0-2_0.1.7-2_amd64.deb ...
Unpacking libyaml-0-2:amd64 (0.1.7-2) ...
Selecting previously unselected package libruby2.3:amd64.
Preparing to unpack .../36-libruby2.3_2.3.3-1_amd64.deb ...
Unpacking libruby2.3:amd64 (2.3.3-1) ...
Selecting previously unselected package ruby2.3.
Preparing to unpack .../37-ruby2.3_2.3.3-1_amd64.deb ...
Unpacking ruby2.3 (2.3.3-1) ...
Selecting previously unselected package ruby.
Preparing to unpack .../38-ruby_1%3a2.3.3_amd64.deb ...
Unpacking ruby (1:2.3.3) ...
Selecting previously unselected package rake.
Preparing to unpack .../39-rake_12.0.0-1_all.deb ...
Unpacking rake (12.0.0-1) ...
Selecting previously unselected package gem2deb-test-runner.
Preparing to unpack .../40-gem2deb-test-runner_0.35_amd64.deb ...
Unpacking gem2deb-test-runner (0.35) ...
Selecting previously unselected package libgmpxx4ldbl:amd64.
Preparing to unpack .../41-libgmpxx4ldbl_2%3a6.1.2+dfsg-1_amd64.deb ...
Unpacking libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-1) ...
Selecting previously unselected package libgmp-dev:amd64.
Preparing to unpack .../42-libgmp-dev_2%3a6.1.2+dfsg-1_amd64.deb ...
Unpacking libgmp-dev:amd64 (2:6.1.2+dfsg-1) ...
Selecting previously unselected package ruby2.3-dev:amd64.
Preparing to unpack .../43-ruby2.3-dev_2.3.3-1_amd64.deb ...
Unpacking ruby2.3-dev:amd64 (2.3.3-1) ...
Selecting previously unselected package ruby-all-dev:amd64.
Preparing to unpack .../44-ruby-all-dev_1%3a2.3.3_amd64.deb ...
Unpacking ruby-all-dev:amd64 (1:2.3.3) ...
Selecting previously unselected package ruby-setup.
Preparing to unpack .../45-ruby-setup_3.4.1-9_all.deb ...
Unpacking ruby-setup (3.4.1-9) ...
Selecting previously unselected package gem2deb.
Preparing to unpack .../46-gem2deb_0.35_amd64.deb ...
Unpacking gem2deb (0.35) ...
Selecting previously unselected package libjemalloc1.
Preparing to unpack .../47-libjemalloc1_3.6.0-10_amd64.deb ...
Unpacking libjemalloc1 (3.6.0-10) ...
Selecting previously unselected package libxslt1.1:amd64.
Preparing to unpack .../48-libxslt1.1_1.1.29-2.1_amd64.deb ...
Unpacking libxslt1.1:amd64 (1.1.29-2.1) ...
Selecting previously unselected package redis-tools.
Preparing to unpack .../49-redis-tools_4%3a4.0.1-7_amd64.deb ...
Unpacking redis-tools (4:4.0.1-7) ...
Selecting previously unselected package redis-server.
Preparing to unpack .../50-redis-server_4%3a4.0.1-7_amd64.deb ...
Unpacking redis-server (4:4.0.1-7) ...
Selecting previously unselected package ruby-i18n.
Preparing to unpack .../51-ruby-i18n_0.7.0-2_all.deb ...
Unpacking ruby-i18n (0.7.0-2) ...
Selecting previously unselected package ruby-json.
Preparing to unpack .../52-ruby-json_2.1.0+dfsg-1_amd64.deb ...
Unpacking ruby-json (2.1.0+dfsg-1) ...
Selecting previously unselected package ruby-atomic.
Preparing to unpack .../53-ruby-atomic_1.1.16-2+b6_amd64.deb ...
Unpacking ruby-atomic (1.1.16-2+b6) ...
Selecting previously unselected package ruby-thread-safe.
Preparing to unpack .../54-ruby-thread-safe_0.3.5-3_all.deb ...
Unpacking ruby-thread-safe (0.3.5-3) ...
Selecting previously unselected package ruby-tzinfo.
Preparing to unpack .../55-ruby-tzinfo_1.2.2-2_all.deb ...
Unpacking ruby-tzinfo (1.2.2-2) ...
Selecting previously unselected package ruby-activesupport.
Preparing to unpack .../56-ruby-activesupport_2%3a4.2.9-2_all.deb ...
Unpacking ruby-activesupport (2:4.2.9-2) ...
Selecting previously unselected package ruby-blankslate.
Preparing to unpack .../57-ruby-blankslate_3.1.3-1_all.deb ...
Unpacking ruby-blankslate (3.1.3-1) ...
Selecting previously unselected package ruby-builder.
Preparing to unpack .../58-ruby-builder_3.2.2-4_all.deb ...
Unpacking ruby-builder (3.2.2-4) ...
Selecting previously unselected package ruby-erubis.
Preparing to unpack .../59-ruby-erubis_2.7.0-3_all.deb ...
Unpacking ruby-erubis (2.7.0-3) ...
Selecting previously unselected package ruby-pkg-config.
Preparing to unpack .../60-ruby-pkg-config_1.2.7-1_all.deb ...
Unpacking ruby-pkg-config (1.2.7-1) ...
Selecting previously unselected package ruby-nokogiri.
Preparing to unpack .../61-ruby-nokogiri_1.8.0-1_amd64.deb ...
Unpacking ruby-nokogiri (1.8.0-1) ...
Selecting previously unselected package ruby-rails-deprecated-sanitizer.
Preparing to unpack .../62-ruby-rails-deprecated-sanitizer_1.0.3-2_all.deb ...
Unpacking ruby-rails-deprecated-sanitizer (1.0.3-2) ...
Selecting previously unselected package ruby-rails-dom-testing.
Preparing to unpack .../63-ruby-rails-dom-testing_1.0.6-2_all.deb ...
Unpacking ruby-rails-dom-testing (1.0.6-2) ...
Selecting previously unselected package ruby-loofah.
Preparing to unpack .../64-ruby-loofah_2.0.3-2_all.deb ...
Unpacking ruby-loofah (2.0.3-2) ...
Selecting previously unselected package ruby-rails-html-sanitizer.
Preparing to unpack .../65-ruby-rails-html-sanitizer_1.0.3-2_all.deb ...
Unpacking ruby-rails-html-sanitizer (1.0.3-2) ...
Selecting previously unselected package ruby-actionview.
Preparing to unpack .../66-ruby-actionview_2%3a4.2.9-2_all.deb ...
Unpacking ruby-actionview (2:4.2.9-2) ...
Selecting previously unselected package ruby-rack.
Preparing to unpack .../67-ruby-rack_1.6.4-4_all.deb ...
Unpacking ruby-rack (1.6.4-4) ...
Selecting previously unselected package ruby-rack-test.
Preparing to unpack .../68-ruby-rack-test_0.6.3-1_all.deb ...
Unpacking ruby-rack-test (0.6.3-1) ...
Selecting previously unselected package ruby-actionpack.
Preparing to unpack .../69-ruby-actionpack_2%3a4.2.9-2_all.deb ...
Unpacking ruby-actionpack (2:4.2.9-2) ...
Selecting previously unselected package ruby-metaclass.
Preparing to unpack .../70-ruby-metaclass_0.0.4-1_all.deb ...
Unpacking ruby-metaclass (0.0.4-1) ...
Selecting previously unselected package ruby-mocha.
Preparing to unpack .../71-ruby-mocha_1.2.1-1_all.deb ...
Unpacking ruby-mocha (1.2.1-1) ...
Selecting previously unselected package ruby-redis.
Preparing to unpack .../72-ruby-redis_3.3.3-1_all.deb ...
Unpacking ruby-redis (3.3.3-1) ...
Selecting previously unselected package ruby-redis-store.
Preparing to unpack .../73-ruby-redis-store_1.3.0-1_all.deb ...
Unpacking ruby-redis-store (1.3.0-1) ...
Selecting previously unselected package ruby-redis-rack.
Preparing to unpack .../74-ruby-redis-rack_2.0.2-1_all.deb ...
Unpacking ruby-redis-rack (2.0.2-1) ...
Selecting previously unselected package ruby-redis-actionpack.
Preparing to unpack .../75-ruby-redis-actionpack_5.0.1-1_all.deb ...
Unpacking ruby-redis-actionpack (5.0.1-1) ...
Selecting previously unselected package ruby-redis-activesupport.
Preparing to unpack .../76-ruby-redis-activesupport_5.0.3-1_all.deb ...
Unpacking ruby-redis-activesupport (5.0.3-1) ...
Selecting previously unselected package sbuild-build-depends-ruby-redis-rails-dummy.
Preparing to unpack .../77-sbuild-build-depends-ruby-redis-rails-dummy_0.invalid.0_amd64.deb ...
Unpacking sbuild-build-depends-ruby-redis-rails-dummy (0.invalid.0) ...
Setting up readline-common (7.0-3) ...
Setting up libarchive-zip-perl (1.59-1) ...
Setting up mime-support (3.60) ...
Setting up libfile-which-perl (1.21-1) ...
Setting up libjemalloc1 (3.6.0-10) ...
Setting up libtimedate-perl (2.3000-2) ...
Setting up libsigsegv2:amd64 (2.11-1) ...
Setting up libreadline7:amd64 (7.0-3) ...
Setting up libfile-homedir-perl (1.00-1) ...
Setting up groff-base (1.22.3-9) ...
Setting up libglib2.0-0:amd64 (2.53.6-1) ...
No schema files found: doing nothing.
Setting up gettext-base (0.19.8.1-4) ...
Setting up libpipeline1:amd64 (1.4.2-1) ...
Setting up m4 (1.4.18-1) ...
Setting up libicu57:amd64 (57.1-6) ...
Setting up libbsd0:amd64 (0.8.6-1) ...
Setting up libxml2:amd64 (2.9.4+dfsg1-3.1) ...
Setting up libmagic-mgc (1:5.31-1) ...
Setting up libmagic1:amd64 (1:5.31-1) ...
Setting up libcroco3:amd64 (0.6.12-1) ...
Setting up libxslt1.1:amd64 (1.1.29-2.1) ...
Setting up libssl1.0.2:amd64 (1.0.2l-2) ...
Setting up ruby-did-you-mean (1.0.0-2) ...
Setting up libyaml-0-2:amd64 (0.1.7-2) ...
Processing triggers for libc-bin (2.25-0experimental1) ...
Setting up autotools-dev (20161112.1) ...
Setting up ruby-net-telnet (0.1.1-2) ...
Setting up libsqlite3-0:amd64 (3.20.0-1) ...
Setting up rubygems-integration (1.11) ...
Setting up bsdmainutils (9.0.12+nmu1) ...
update-alternatives: using /usr/bin/bsd-write to provide /usr/bin/write (write) in auto mode
update-alternatives: using /usr/bin/bsd-from to provide /usr/bin/from (from) in auto mode
Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-1) ...
Setting up ruby-minitest (5.10.3-1) ...
Setting up autopoint (0.19.8.1-4) ...
Setting up libmpdec2:amd64 (2.4.2-1) ...
Setting up ruby-power-assert (0.3.0-1) ...
Setting up libfile-stripnondeterminism-perl (0.038-1) ...
Setting up libgmp-dev:amd64 (2:6.1.2+dfsg-1) ...
Setting up redis-tools (4:4.0.1-7) ...
Setting up gettext (0.19.8.1-4) ...
Setting up libpython3.5-stdlib:amd64 (3.5.4-2) ...
Setting up autoconf (2.69-11) ...
Setting up file (1:5.31-1) ...
Setting up intltool-debian (0.35.0+20060710.4) ...
Setting up automake (1:1.15.1-2.1) ...
update-alternatives: using /usr/bin/automake-1.15 to provide /usr/bin/automake (automake) in auto mode
Setting up man-db (2.7.6.1-2) ...
Not building database; man-db/auto-update is not 'true'.
Setting up redis-server (4:4.0.1-7) ...
invoke-rc.d: could not determine current runlevel
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libtool (2.4.6-2) ...
Setting up python3.5 (3.5.4-2) ...
Setting up libpython3-stdlib:amd64 (3.5.3-3) ...
Setting up po-debconf (1.0.20) ...
Setting up rake (12.0.0-1) ...
Setting up dh-python (2.20170125) ...
Setting up dh-autoreconf (14) ...
Setting up python3 (3.5.3-3) ...
Setting up ruby-test-unit (3.2.5-1) ...
Setting up devscripts (2.17.9) ...
Setting up dh-strip-nondeterminism (0.038-1) ...
Setting up libruby2.3:amd64 (2.3.3-1) ...
Setting up debhelper (10.7.2+exp.buildlabels) ...
Setting up ruby2.3 (2.3.3-1) ...
Setting up ruby2.3-dev:amd64 (2.3.3-1) ...
Setting up ruby (1:2.3.3) ...
Setting up ruby-erubis (2.7.0-3) ...
Setting up gem2deb-test-runner (0.35) ...
Setting up ruby-json (2.1.0+dfsg-1) ...
Setting up ruby-rack (1.6.4-4) ...
Setting up ruby-all-dev:amd64 (1:2.3.3) ...
Setting up ruby-redis (3.3.3-1) ...
Setting up ruby-pkg-config (1.2.7-1) ...
Setting up ruby-rack-test (0.6.3-1) ...
Setting up ruby-atomic (1.1.16-2+b6) ...
Setting up ruby-setup (3.4.1-9) ...
Setting up ruby-metaclass (0.0.4-1) ...
Setting up ruby-thread-safe (0.3.5-3) ...
Setting up ruby-redis-store (1.3.0-1) ...
Setting up ruby-i18n (0.7.0-2) ...
Setting up ruby-mocha (1.2.1-1) ...
Setting up ruby-tzinfo (1.2.2-2) ...
Setting up ruby-blankslate (3.1.3-1) ...
Setting up gem2deb (0.35) ...
Setting up ruby-activesupport (2:4.2.9-2) ...
Setting up ruby-nokogiri (1.8.0-1) ...
Setting up ruby-loofah (2.0.3-2) ...
Setting up ruby-rails-deprecated-sanitizer (1.0.3-2) ...
Setting up ruby-redis-rack (2.0.2-1) ...
Setting up ruby-builder (3.2.2-4) ...
Setting up ruby-redis-activesupport (5.0.3-1) ...
Setting up ruby-rails-html-sanitizer (1.0.3-2) ...
Setting up ruby-rails-dom-testing (1.0.6-2) ...
Setting up ruby-actionview (2:4.2.9-2) ...
Setting up ruby-actionpack (2:4.2.9-2) ...
Setting up ruby-redis-actionpack (5.0.1-1) ...
Setting up sbuild-build-depends-ruby-redis-rails-dummy (0.invalid.0) ...
Processing triggers for libc-bin (2.25-0experimental1) ...

+------------------------------------------------------------------------------+
| Build environment                                                            |
+------------------------------------------------------------------------------+

Kernel: Linux 4.11.0-2-amd64 amd64 (x86_64)
Toolchain package versions: binutils_2.29-7 dpkg-dev_1.18.24 g++-6_6.4.0-4 g++-7_7.2.0-1 gcc-6_6.4.0-4 gcc-7_7.2.0-1 libc6-dev_2.25-0experimental1 libstdc++-6-dev_6.4.0-4 libstdc++-7-dev_7.2.0-1 libstdc++6_7.2.0-1 linux-libc-dev_4.13~rc5-1~exp1
Package versions: adduser_3.116 apt_1.5~beta2 autoconf_2.69-11 automake_1:1.15.1-2.1 autopoint_0.19.8.1-4 autotools-dev_20161112.1 base-files_10 base-passwd_3.5.43 bash_4.4-5 binutils_2.29-7 binutils-common_2.29-7 binutils-x86-64-linux-gnu_2.29-7 bsdmainutils_9.0.12+nmu1 bsdutils_1:2.29.2-4 build-essential_12.3 bzip2_1.0.6-8.1 ca-certificates_20170717 coreutils_8.26-3 cpp_4:7.1.0-2 cpp-6_6.4.0-4 cpp-7_7.2.0-1 dash_0.5.8-2.5 debconf_1.5.63 debhelper_10.7.2+exp.buildlabels debian-archive-keyring_2017.5 debianutils_4.8.2 devscripts_2.17.9 dh-autoreconf_14 dh-python_2.20170125 dh-strip-nondeterminism_0.038-1 diffutils_1:3.6-1 dpkg_1.18.24 dpkg-dev_1.18.24 e2fslibs_1.43.5-1 e2fsprogs_1.43.5-1 fakeroot_1.22-1 fdisk_2.29.2-4 file_1:5.31-1 findutils_4.6.0+git+20170729-2 g++_4:7.1.0-2 g++-6_6.4.0-4 g++-7_7.2.0-1 gcc_4:7.1.0-2 gcc-4.9-base_4.9.4-2 gcc-5-base_5.4.1-12 gcc-6_6.4.0-4 gcc-6-base_6.4.0-4 gcc-7_7.2.0-1 gcc-7-base_7.2.0-1 gem2deb_0.35 gem2deb-test-runner_0.35 gettext_0.19.8.1-4 gettext-base_0.19.8.1-4 gpgv_2.1.23-2 grep_3.1-2 groff-base_1.22.3-9 gzip_1.6-5+b1 hostname_3.18+b1 init-system-helpers_1.49 intltool-debian_0.35.0+20060710.4 libacl1_2.2.52-3+b1 libapt-pkg5.0_1.5~beta2 libarchive-zip-perl_1.59-1 libasan3_6.4.0-4 libasan4_7.2.0-1 libatomic1_7.2.0-1 libattr1_1:2.4.47-2+b2 libaudit-common_1:2.7.7-1 libaudit1_1:2.7.7-1+b2 libbinutils_2.29-7 libblkid1_2.29.2-4 libbsd0_0.8.6-1 libbz2-1.0_1.0.6-8.1 libc-bin_2.25-0experimental1 libc-dev-bin_2.25-0experimental1 libc6_2.25-0experimental1 libc6-dev_2.25-0experimental1 libcap-ng0_0.7.7-3+b1 libcc1-0_7.2.0-1 libcilkrts5_7.2.0-1 libcomerr2_1.43.5-1 libcroco3_0.6.12-1 libdb5.3_5.3.28-13 libdebconfclient0_0.229 libdpkg-perl_1.18.24 libexpat1_2.2.3-1 libfakeroot_1.22-1 libfdisk1_2.29.2-4 libffi6_3.3~20160224-1 libfile-homedir-perl_1.00-1 libfile-stripnondeterminism-perl_0.038-1 libfile-which-perl_1.21-1 libgcc-6-dev_6.4.0-4 libgcc-7-dev_7.2.0-1 libgcc1_1:7.2.0-1 libgcrypt20_1.8.0-2 libgdbm3_1.8.3-14 libglib2.0-0_2.53.6-1 libgmp-dev_2:6.1.2+dfsg-1 libgmp10_2:6.1.2+dfsg-1 libgmpxx4ldbl_2:6.1.2+dfsg-1 libgnutls30_3.5.15-2 libgomp1_7.2.0-1 libgpg-error0_1.27-3 libhogweed4_3.3-1+b1 libicu57_57.1-6 libidn2-0_2.0.2-3 libisl15_0.18-1 libitm1_7.2.0-1 libjemalloc1_3.6.0-10 liblsan0_7.2.0-1 liblz4-1_0.0~r131-2+b1 liblzma5_5.2.2-1.3 libmagic-mgc_1:5.31-1 libmagic1_1:5.31-1 libmount1_2.29.2-4 libmpc3_1.0.3-1+b2 libmpdec2_2.4.2-1 libmpfr4_3.1.5-1 libmpx2_7.2.0-1 libncurses5_6.0+20170715-2 libncursesw5_6.0+20170715-2 libnettle6_3.3-1+b1 libp11-kit0_0.23.7-3 libpam-modules_1.1.8-3.6 libpam-modules-bin_1.1.8-3.6 libpam-runtime_1.1.8-3.6 libpam0g_1.1.8-3.6 libpcre3_2:8.39-4 libperl5.22_5.22.2-3 libperl5.24_5.24.1-7 libperl5.26_5.26.0-5 libpipeline1_1.4.2-1 libpython3-stdlib_3.5.3-3 libpython3.5-minimal_3.5.4-2 libpython3.5-stdlib_3.5.4-2 libquadmath0_7.2.0-1 libreadline7_7.0-3 libruby2.3_2.3.3-1 libselinux1_2.7~rc2-1 libsemanage-common_2.7~rc2-1 libsemanage1_2.7~rc2-1 libsepol1_2.7~rc2-1 libsigsegv2_2.11-1 libsmartcols1_2.29.2-4 libsqlite3-0_3.20.0-1 libss2_1.43.5-1 libssl1.0.2_1.0.2l-2 libssl1.1_1.1.0f-4 libstdc++-6-dev_6.4.0-4 libstdc++-7-dev_7.2.0-1 libstdc++6_7.2.0-1 libsystemd0_234-2.3 libtasn1-6_4.12-2.1 libtimedate-perl_2.3000-2 libtinfo5_6.0+20170715-2 libtool_2.4.6-2 libtsan0_7.2.0-1 libubsan0_7.2.0-1 libudev1_234-2.3 libunistring2_0.9.7-2 libustr-1.0-1_1.0.4-6 libuuid1_2.29.2-4 libxml2_2.9.4+dfsg1-3.1 libxslt1.1_1.1.29-2.1 libyaml-0-2_0.1.7-2 linux-libc-dev_4.13~rc5-1~exp1 login_1:4.4-4.1 lsb-base_9.20161125 m4_1.4.18-1 make_4.1-9.1 man-db_2.7.6.1-2 mawk_1.3.3-17+b3 mime-support_3.60 mount_2.29.2-4 multiarch-support_2.25-0experimental1 ncurses-base_6.0+20170715-2 ncurses-bin_6.0+20170715-2 openssl_1.1.0f-4 passwd_1:4.4-4.1 patch_2.7.5-1+b2 perl_5.26.0-5 perl-base_5.26.0-5 perl-modules-5.22_5.22.2-3 perl-modules-5.24_5.24.1-7 perl-modules-5.26_5.26.0-5 po-debconf_1.0.20 python3_3.5.3-3 python3-minimal_3.5.3-3 python3.5_3.5.4-2 python3.5-minimal_3.5.4-2 rake_12.0.0-1 readline-common_7.0-3 redis-server_4:4.0.1-7 redis-tools_4:4.0.1-7 ruby_1:2.3.3 ruby-actionpack_2:4.2.9-2 ruby-actionview_2:4.2.9-2 ruby-activesupport_2:4.2.9-2 ruby-all-dev_1:2.3.3 ruby-atomic_1.1.16-2+b6 ruby-blankslate_3.1.3-1 ruby-builder_3.2.2-4 ruby-did-you-mean_1.0.0-2 ruby-erubis_2.7.0-3 ruby-i18n_0.7.0-2 ruby-json_2.1.0+dfsg-1 ruby-loofah_2.0.3-2 ruby-metaclass_0.0.4-1 ruby-minitest_5.10.3-1 ruby-mocha_1.2.1-1 ruby-net-telnet_0.1.1-2 ruby-nokogiri_1.8.0-1 ruby-pkg-config_1.2.7-1 ruby-power-assert_0.3.0-1 ruby-rack_1.6.4-4 ruby-rack-test_0.6.3-1 ruby-rails-deprecated-sanitizer_1.0.3-2 ruby-rails-dom-testing_1.0.6-2 ruby-rails-html-sanitizer_1.0.3-2 ruby-redis_3.3.3-1 ruby-redis-actionpack_5.0.1-1 ruby-redis-activesupport_5.0.3-1 ruby-redis-rack_2.0.2-1 ruby-redis-store_1.3.0-1 ruby-setup_3.4.1-9 ruby-test-unit_3.2.5-1 ruby-thread-safe_0.3.5-3 ruby-tzinfo_1.2.2-2 ruby2.3_2.3.3-1 ruby2.3-dev_2.3.3-1 rubygems-integration_1.11 sbuild-build-depends-core-dummy_0.invalid.0 sbuild-build-depends-ruby-redis-rails-dummy_0.invalid.0 sed_4.4-1 sensible-utils_0.0.10 sysvinit-utils_2.88dsf-59.9 tar_1.29b-2 tzdata_2017b-2 util-linux_2.29.2-4 xz-utils_5.2.2-1.3 zlib1g_1:1.2.8.dfsg-5

+------------------------------------------------------------------------------+
| Build                                                                        |
+------------------------------------------------------------------------------+


Unpack source
-------------

dpkg-source: warning: extracting unsigned source package (ruby-redis-rails_5.0.2-1.dsc)
dpkg-source: info: extracting ruby-redis-rails in /<<PKGBUILDDIR>>
dpkg-source: info: unpacking ruby-redis-rails_5.0.2.orig.tar.gz
dpkg-source: info: unpacking ruby-redis-rails_5.0.2-1.debian.tar.xz
dpkg-source: info: applying remove-bundler.patch

Check disk space
----------------

Sufficient free space for build

User Environment
----------------

APT_CONFIG=/var/lib/sbuild/apt.conf
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
HOME=/sbuild-nonexistent
LANG=ml_IN.UTF-8
LC_ALL=POSIX
LOGNAME=pravi
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
SCHROOT_ALIAS_NAME=experimental-amd64-sbuild
SCHROOT_CHROOT_NAME=experimental-amd64-sbuild
SCHROOT_COMMAND=env
SCHROOT_GID=1000
SCHROOT_GROUP=pravi
SCHROOT_SESSION_ID=experimental-amd64-sbuild-2c79f6de-3089-45da-abb2-bf3e8bfe3fbe
SCHROOT_UID=1000
SCHROOT_USER=pravi
SHELL=/bin/sh
USER=pravi
XDG_RUNTIME_DIR=/run/user/1000
XDG_SESSION_ID=3

dpkg-buildpackage
-----------------

dpkg-buildpackage: info: source package ruby-redis-rails
dpkg-buildpackage: info: source version 5.0.2-1
dpkg-buildpackage: info: source distribution experimental
dpkg-buildpackage: info: source changed by Pirate Praveen <praveen@debian.org>
 dpkg-source --before-build ruby-redis-rails-5.0.2
dpkg-buildpackage: info: host architecture amd64
 fakeroot debian/rules clean
dh clean --buildsystem=ruby --with ruby
   dh_auto_clean -O--buildsystem=ruby
	dh_ruby --clean
   dh_ruby --clean
Invalid gemspec in [redis-rails.gemspec]: No such file or directory - git
   dh_clean -O--buildsystem=ruby
 debian/rules build
dh build --buildsystem=ruby --with ruby
   dh_update_autotools_config -O--buildsystem=ruby
   dh_auto_configure -O--buildsystem=ruby
	dh_ruby --configure
   dh_auto_build -O--buildsystem=ruby
	dh_ruby --build
   dh_ruby --build
   dh_auto_test -O--buildsystem=ruby
	dh_ruby --test
 fakeroot debian/rules binary
dh binary --buildsystem=ruby --with ruby
   dh_testroot -O--buildsystem=ruby
   dh_prep -O--buildsystem=ruby
   dh_auto_install -O--buildsystem=ruby
	dh_ruby --install /<<PKGBUILDDIR>>/debian/ruby-redis-rails
   dh_ruby --install
Invalid gemspec in [redis-rails.gemspec]: No such file or directory - git

┌──────────────────────────────────────────────────────────────────────────────┐
│ Install files                                                                │
└──────────────────────────────────────────────────────────────────────────────┘

install -d /<<PKGBUILDDIR>>/debian/ruby-redis-rails/usr/lib/ruby/vendor_ruby
install -D -m644 /<<PKGBUILDDIR>>/lib/redis-rails.rb /<<PKGBUILDDIR>>/debian/ruby-redis-rails/usr/lib/ruby/vendor_ruby/redis-rails.rb
install -D -m644 /<<PKGBUILDDIR>>/lib/redis-rails/version.rb /<<PKGBUILDDIR>>/debian/ruby-redis-rails/usr/lib/ruby/vendor_ruby/redis-rails/version.rb
dh_installchangelogs -pruby-redis-rails /<<PKGBUILDDIR>>/CHANGELOG upstream

┌──────────────────────────────────────────────────────────────────────────────┐
│ Install Rubygems integration metadata                                        │
└──────────────────────────────────────────────────────────────────────────────┘

generating gemspec at /<<PKGBUILDDIR>>/debian/ruby-redis-rails/usr/share/rubygems-integration/all/specifications/redis-rails-5.0.2.gemspec
/usr/bin/ruby2.3 /usr/bin/gem2deb-test-runner

┌──────────────────────────────────────────────────────────────────────────────┐
│ Checking Rubygems dependency resolution on ruby2.3                           │
└──────────────────────────────────────────────────────────────────────────────┘

Invalid gemspec in [redis-rails.gemspec]: No such file or directory - git
GEM_PATH=debian/ruby-redis-rails/usr/share/rubygems-integration/all:/var/lib/gems/2.3.0:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.3.0:/usr/share/rubygems-integration/2.3.0:/usr/share/rubygems-integration/all ruby2.3 -e gem\ \"redis-rails\"

┌──────────────────────────────────────────────────────────────────────────────┐
│ Run tests for ruby2.3 from debian/ruby-tests.rake                            │
└──────────────────────────────────────────────────────────────────────────────┘

RUBYLIB=/<<PKGBUILDDIR>>/debian/ruby-redis-rails/usr/lib/ruby/vendor_ruby:. GEM_PATH=debian/ruby-redis-rails/usr/share/rubygems-integration/all:/var/lib/gems/2.3.0:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.3.0:/usr/share/rubygems-integration/2.3.0:/usr/share/rubygems-integration/all ruby2.3 -S rake -f debian/ruby-tests.rake
Run options: --seed 7233

# Running:

..

Finished in 0.001400s, 1428.9695 runs/s, 1428.9695 assertions/s.

2 runs, 2 assertions, 0 failures, 0 errors, 0 skips

┌──────────────────────────────────────────────────────────────────────────────┐
│ dh_ruby --install finished                                                   │
└──────────────────────────────────────────────────────────────────────────────┘

   dh_installdocs -O--buildsystem=ruby
   dh_ruby_fixdocs -O--buildsystem=ruby
   dh_installchangelogs -O--buildsystem=ruby
   dh_perl -O--buildsystem=ruby
   dh_link -O--buildsystem=ruby
   dh_strip_nondeterminism -O--buildsystem=ruby
   dh_compress -X.rb -O--buildsystem=ruby
   dh_fixperms -O--buildsystem=ruby
   dh_missing -O--buildsystem=ruby
   dh_installdeb -O--buildsystem=ruby
   dh_gencontrol -O--buildsystem=ruby
dpkg-gencontrol: warning: Depends field of package ruby-redis-rails: unknown substitution variable ${shlibs:Depends}
   dh_md5sums -O--buildsystem=ruby
   dh_builddeb -O--buildsystem=ruby
dpkg-deb: building package 'ruby-redis-rails' in '../ruby-redis-rails_5.0.2-1_all.deb'.
 dpkg-genbuildinfo --build=binary
 dpkg-genchanges --build=binary >../ruby-redis-rails_5.0.2-1_amd64.changes
dpkg-genchanges: info: binary-only upload (no source code included)
 dpkg-source --after-build ruby-redis-rails-5.0.2
dpkg-buildpackage: info: binary-only upload (no source included)
--------------------------------------------------------------------------------
Build finished at 2017-08-24T12:41:25Z

Finished
--------

I: Built successfully

+------------------------------------------------------------------------------+
| Post Build Chroot                                                            |
+------------------------------------------------------------------------------+


+------------------------------------------------------------------------------+
| Changes                                                                      |
+------------------------------------------------------------------------------+


ruby-redis-rails_5.0.2-1_amd64.changes:
---------------------------------------

Format: 1.8
Date: Thu, 20 Jul 2017 21:51:24 +0530
Source: ruby-redis-rails
Binary: ruby-redis-rails
Architecture: all
Version: 5.0.2-1
Distribution: experimental
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Pirate Praveen <praveen@debian.org>
Description:
 ruby-redis-rails - Redis stores for Ruby on Rails
Changes:
 ruby-redis-rails (5.0.2-1) experimental; urgency=medium
 .
   * New upstream release
Checksums-Sha1:
 1907056d22817aec08343d2cbe51a00734ceaa3e 3424 ruby-redis-rails_5.0.2-1_all.deb
 4a987fe87e75e0ab7f48c038dd1d6e7a13c81072 6529 ruby-redis-rails_5.0.2-1_amd64.buildinfo
Checksums-Sha256:
 2f999d71c42a70e7d32c3c560c5fed50d5263eb78103878c28881809f36fef77 3424 ruby-redis-rails_5.0.2-1_all.deb
 6e35e1ccae09190140da136564f756f690db5447563c1be014dfa7f29a12e63d 6529 ruby-redis-rails_5.0.2-1_amd64.buildinfo
Files:
 9f04f88c639dcd673e4283c76b784c8b 3424 ruby optional ruby-redis-rails_5.0.2-1_all.deb
 33aad966dfa9730e29a6ceecae0cb33e 6529 ruby optional ruby-redis-rails_5.0.2-1_amd64.buildinfo

+------------------------------------------------------------------------------+
| Buildinfo                                                                    |
+------------------------------------------------------------------------------+

Format: 1.0
Source: ruby-redis-rails
Binary: ruby-redis-rails
Architecture: all
Version: 5.0.2-1
Checksums-Md5:
 9f04f88c639dcd673e4283c76b784c8b 3424 ruby-redis-rails_5.0.2-1_all.deb
Checksums-Sha1:
 1907056d22817aec08343d2cbe51a00734ceaa3e 3424 ruby-redis-rails_5.0.2-1_all.deb
Checksums-Sha256:
 2f999d71c42a70e7d32c3c560c5fed50d5263eb78103878c28881809f36fef77 3424 ruby-redis-rails_5.0.2-1_all.deb
Build-Origin: Debian
Build-Architecture: amd64
Build-Date: Thu, 24 Aug 2017 12:41:24 +0000
Build-Path: /<<PKGBUILDDIR>>
Installed-Build-Depends:
 adduser (= 3.116),
 autoconf (= 2.69-11),
 automake (= 1:1.15.1-2.1),
 autopoint (= 0.19.8.1-4),
 autotools-dev (= 20161112.1),
 base-files (= 10),
 base-passwd (= 3.5.43),
 bash (= 4.4-5),
 binutils (= 2.29-7),
 binutils-common (= 2.29-7),
 binutils-x86-64-linux-gnu (= 2.29-7),
 bsdmainutils (= 9.0.12+nmu1),
 bsdutils (= 1:2.29.2-4),
 build-essential (= 12.3),
 bzip2 (= 1.0.6-8.1),
 ca-certificates (= 20170717),
 coreutils (= 8.26-3),
 cpp (= 4:7.1.0-2),
 cpp-6 (= 6.4.0-4),
 cpp-7 (= 7.2.0-1),
 dash (= 0.5.8-2.5),
 debconf (= 1.5.63),
 debhelper (= 10.7.2+exp.buildlabels),
 debianutils (= 4.8.2),
 devscripts (= 2.17.9),
 dh-autoreconf (= 14),
 dh-python (= 2.20170125),
 dh-strip-nondeterminism (= 0.038-1),
 diffutils (= 1:3.6-1),
 dpkg (= 1.18.24),
 dpkg-dev (= 1.18.24),
 e2fslibs (= 1.43.5-1),
 e2fsprogs (= 1.43.5-1),
 fdisk (= 2.29.2-4),
 file (= 1:5.31-1),
 findutils (= 4.6.0+git+20170729-2),
 g++ (= 4:7.1.0-2),
 g++-7 (= 7.2.0-1),
 gcc (= 4:7.1.0-2),
 gcc-6 (= 6.4.0-4),
 gcc-6-base (= 6.4.0-4),
 gcc-7 (= 7.2.0-1),
 gcc-7-base (= 7.2.0-1),
 gem2deb (= 0.35),
 gem2deb-test-runner (= 0.35),
 gettext (= 0.19.8.1-4),
 gettext-base (= 0.19.8.1-4),
 grep (= 3.1-2),
 groff-base (= 1.22.3-9),
 gzip (= 1.6-5+b1),
 hostname (= 3.18+b1),
 init-system-helpers (= 1.49),
 intltool-debian (= 0.35.0+20060710.4),
 libacl1 (= 2.2.52-3+b1),
 libarchive-zip-perl (= 1.59-1),
 libasan3 (= 6.4.0-4),
 libasan4 (= 7.2.0-1),
 libatomic1 (= 7.2.0-1),
 libattr1 (= 1:2.4.47-2+b2),
 libaudit-common (= 1:2.7.7-1),
 libaudit1 (= 1:2.7.7-1+b2),
 libbinutils (= 2.29-7),
 libblkid1 (= 2.29.2-4),
 libbsd0 (= 0.8.6-1),
 libbz2-1.0 (= 1.0.6-8.1),
 libc-bin (= 2.25-0experimental1),
 libc-dev-bin (= 2.25-0experimental1),
 libc6 (= 2.25-0experimental1),
 libc6-dev (= 2.25-0experimental1),
 libcap-ng0 (= 0.7.7-3+b1),
 libcc1-0 (= 7.2.0-1),
 libcilkrts5 (= 7.2.0-1),
 libcomerr2 (= 1.43.5-1),
 libcroco3 (= 0.6.12-1),
 libdb5.3 (= 5.3.28-13),
 libdebconfclient0 (= 0.229),
 libdpkg-perl (= 1.18.24),
 libexpat1 (= 2.2.3-1),
 libfdisk1 (= 2.29.2-4),
 libffi6 (= 3.3~20160224-1),
 libfile-homedir-perl (= 1.00-1),
 libfile-stripnondeterminism-perl (= 0.038-1),
 libfile-which-perl (= 1.21-1),
 libgcc-6-dev (= 6.4.0-4),
 libgcc-7-dev (= 7.2.0-1),
 libgcc1 (= 1:7.2.0-1),
 libgcrypt20 (= 1.8.0-2),
 libgdbm3 (= 1.8.3-14),
 libglib2.0-0 (= 2.53.6-1),
 libgmp-dev (= 2:6.1.2+dfsg-1),
 libgmp10 (= 2:6.1.2+dfsg-1),
 libgmpxx4ldbl (= 2:6.1.2+dfsg-1),
 libgomp1 (= 7.2.0-1),
 libgpg-error0 (= 1.27-3),
 libicu57 (= 57.1-6),
 libisl15 (= 0.18-1),
 libitm1 (= 7.2.0-1),
 libjemalloc1 (= 3.6.0-10),
 liblsan0 (= 7.2.0-1),
 liblz4-1 (= 0.0~r131-2+b1),
 liblzma5 (= 5.2.2-1.3),
 libmagic-mgc (= 1:5.31-1),
 libmagic1 (= 1:5.31-1),
 libmount1 (= 2.29.2-4),
 libmpc3 (= 1.0.3-1+b2),
 libmpdec2 (= 2.4.2-1),
 libmpfr4 (= 3.1.5-1),
 libmpx2 (= 7.2.0-1),
 libncurses5 (= 6.0+20170715-2),
 libncursesw5 (= 6.0+20170715-2),
 libpam-modules (= 1.1.8-3.6),
 libpam-modules-bin (= 1.1.8-3.6),
 libpam-runtime (= 1.1.8-3.6),
 libpam0g (= 1.1.8-3.6),
 libpcre3 (= 2:8.39-4),
 libperl5.26 (= 5.26.0-5),
 libpipeline1 (= 1.4.2-1),
 libpython3-stdlib (= 3.5.3-3),
 libpython3.5-minimal (= 3.5.4-2),
 libpython3.5-stdlib (= 3.5.4-2),
 libquadmath0 (= 7.2.0-1),
 libreadline7 (= 7.0-3),
 libruby2.3 (= 2.3.3-1),
 libselinux1 (= 2.7~rc2-1),
 libsemanage-common (= 2.7~rc2-1),
 libsemanage1 (= 2.7~rc2-1),
 libsepol1 (= 2.7~rc2-1),
 libsigsegv2 (= 2.11-1),
 libsmartcols1 (= 2.29.2-4),
 libsqlite3-0 (= 3.20.0-1),
 libss2 (= 1.43.5-1),
 libssl1.0.2 (= 1.0.2l-2),
 libssl1.1 (= 1.1.0f-4),
 libstdc++-7-dev (= 7.2.0-1),
 libstdc++6 (= 7.2.0-1),
 libsystemd0 (= 234-2.3),
 libtimedate-perl (= 2.3000-2),
 libtinfo5 (= 6.0+20170715-2),
 libtool (= 2.4.6-2),
 libtsan0 (= 7.2.0-1),
 libubsan0 (= 7.2.0-1),
 libudev1 (= 234-2.3),
 libunistring2 (= 0.9.7-2),
 libuuid1 (= 2.29.2-4),
 libxml2 (= 2.9.4+dfsg1-3.1),
 libxslt1.1 (= 1.1.29-2.1),
 libyaml-0-2 (= 0.1.7-2),
 linux-libc-dev (= 4.13~rc5-1~exp1),
 login (= 1:4.4-4.1),
 lsb-base (= 9.20161125),
 m4 (= 1.4.18-1),
 make (= 4.1-9.1),
 man-db (= 2.7.6.1-2),
 mawk (= 1.3.3-17+b3),
 mime-support (= 3.60),
 ncurses-base (= 6.0+20170715-2),
 ncurses-bin (= 6.0+20170715-2),
 openssl (= 1.1.0f-4),
 passwd (= 1:4.4-4.1),
 patch (= 2.7.5-1+b2),
 perl (= 5.26.0-5),
 perl-base (= 5.26.0-5),
 perl-modules-5.26 (= 5.26.0-5),
 po-debconf (= 1.0.20),
 python3 (= 3.5.3-3),
 python3-minimal (= 3.5.3-3),
 python3.5 (= 3.5.4-2),
 python3.5-minimal (= 3.5.4-2),
 rake (= 12.0.0-1),
 readline-common (= 7.0-3),
 redis-server (= 4:4.0.1-7),
 redis-tools (= 4:4.0.1-7),
 ruby (= 1:2.3.3),
 ruby-actionpack (= 2:4.2.9-2),
 ruby-actionview (= 2:4.2.9-2),
 ruby-activesupport (= 2:4.2.9-2),
 ruby-all-dev (= 1:2.3.3),
 ruby-atomic (= 1.1.16-2+b6),
 ruby-blankslate (= 3.1.3-1),
 ruby-builder (= 3.2.2-4),
 ruby-did-you-mean (= 1.0.0-2),
 ruby-erubis (= 2.7.0-3),
 ruby-i18n (= 0.7.0-2),
 ruby-json (= 2.1.0+dfsg-1),
 ruby-loofah (= 2.0.3-2),
 ruby-metaclass (= 0.0.4-1),
 ruby-minitest (= 5.10.3-1),
 ruby-mocha (= 1.2.1-1),
 ruby-net-telnet (= 0.1.1-2),
 ruby-nokogiri (= 1.8.0-1),
 ruby-pkg-config (= 1.2.7-1),
 ruby-power-assert (= 0.3.0-1),
 ruby-rack (= 1.6.4-4),
 ruby-rack-test (= 0.6.3-1),
 ruby-rails-deprecated-sanitizer (= 1.0.3-2),
 ruby-rails-dom-testing (= 1.0.6-2),
 ruby-rails-html-sanitizer (= 1.0.3-2),
 ruby-redis (= 3.3.3-1),
 ruby-redis-actionpack (= 5.0.1-1),
 ruby-redis-activesupport (= 5.0.3-1),
 ruby-redis-rack (= 2.0.2-1),
 ruby-redis-store (= 1.3.0-1),
 ruby-setup (= 3.4.1-9),
 ruby-test-unit (= 3.2.5-1),
 ruby-thread-safe (= 0.3.5-3),
 ruby-tzinfo (= 1.2.2-2),
 ruby2.3 (= 2.3.3-1),
 ruby2.3-dev (= 2.3.3-1),
 rubygems-integration (= 1.11),
 sed (= 4.4-1),
 sysvinit-utils (= 2.88dsf-59.9),
 tar (= 1.29b-2),
 tzdata (= 2017b-2),
 util-linux (= 2.29.2-4),
 xz-utils (= 5.2.2-1.3),
 zlib1g (= 1:1.2.8.dfsg-5)
Environment:
 DEB_BUILD_OPTIONS="parallel=4"
 LANG="ml_IN.UTF-8"
 LC_ALL="POSIX"
 SOURCE_DATE_EPOCH="1500567684"


+------------------------------------------------------------------------------+
| Package contents                                                             |
+------------------------------------------------------------------------------+


ruby-redis-rails_5.0.2-1_all.deb
--------------------------------

 new debian package, version 2.0.
 size 3424 bytes: control archive=768 bytes.
     641 bytes,    14 lines      control              
     504 bytes,     6 lines      md5sums              
 Package: ruby-redis-rails
 Version: 5.0.2-1
 Architecture: all
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Installed-Size: 22
 Depends: ruby | ruby-interpreter, ruby-redis-actionpack (>= 5~), ruby-redis-activesupport (>= 5~), ruby-redis-store (>= 1.2~)
 Section: ruby
 Priority: optional
 Homepage: http://redis-store.org/redis-rails
 Description: Redis stores for Ruby on Rails
  redis-rails provides a full set of stores (*Cache*, *Session*, *HTTP Cache*)
  for Ruby on Rails. See the main redis-store readme at
  https://github.com/jodosha/redis-store for general guidelines.
 Ruby-Versions: all

drwxr-xr-x root/root         0 2017-07-20 16:21 ./
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/lib/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/lib/ruby/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/lib/ruby/vendor_ruby/
-rw-r--r-- root/root       176 2017-07-20 16:21 ./usr/lib/ruby/vendor_ruby/redis-rails.rb
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/lib/ruby/vendor_ruby/redis-rails/
-rw-r--r-- root/root        59 2017-07-20 16:21 ./usr/lib/ruby/vendor_ruby/redis-rails/version.rb
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/share/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/share/doc/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/share/doc/ruby-redis-rails/
-rw-r--r-- root/root       218 2017-07-20 16:21 ./usr/share/doc/ruby-redis-rails/changelog.Debian.gz
-rw-r--r-- root/root       253 2017-05-15 02:02 ./usr/share/doc/ruby-redis-rails/changelog.gz
-rw-r--r-- root/root      1357 2015-07-07 21:14 ./usr/share/doc/ruby-redis-rails/copyright
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/share/rubygems-integration/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/share/rubygems-integration/all/
drwxr-xr-x root/root         0 2017-07-20 16:21 ./usr/share/rubygems-integration/all/specifications/
-rw-r--r-- root/root      2742 2017-07-20 16:21 ./usr/share/rubygems-integration/all/specifications/redis-rails-5.0.2.gemspec


+------------------------------------------------------------------------------+
| Post Build                                                                   |
+------------------------------------------------------------------------------+


+------------------------------------------------------------------------------+
| Cleanup                                                                      |
+------------------------------------------------------------------------------+

Purging /<<BUILDDIR>>
Not cleaning session: cloned chroot in use

+------------------------------------------------------------------------------+
| Summary                                                                      |
+------------------------------------------------------------------------------+

Build Architecture: amd64
Build Type: binary
Build-Space: 172
Build-Time: 5
Distribution: experimental
Host Architecture: amd64
Install-Time: 18
Job: /home/pravi/forge/debian/git/pkg-ruby-extras/ruby-redis-rails_5.0.2-1.dsc
Machine Architecture: amd64
Package: ruby-redis-rails
Package-Time: 31
Source-Version: 5.0.2-1
Space: 172
Status: successful
Version: 5.0.2-1
--------------------------------------------------------------------------------
Finished at 2017-08-24T12:41:25Z
Build needed 00:00:31, 172k disk space

Attachment: signature.asc
Description: OpenPGP digital signature


Reply to: